Subject: Flora/Mississippi River

From: [email-masked]
Date: Thu, 5 Oct 95 09:25:57 +400

I am planning a trip down the MIssissippi from the Dyersburg, Tn area to just
north of Memphis.  Any suggestions on useful plant books (or other plant info)
for this journey would be greatly appreciated.  I am very happy to hear of the
possibility of a wetlands discussion group.

N. Fraley